--- a/build/config/clang/BUILD.gn.orig	2025-06-23 14:34:26.000000000 -0700
+++ b/build/config/clang/BUILD.gn	2025-06-25 12:20:05.493016751 -0700
@@ -210,14 +210,19 @@
       } else if (is_linux || is_chromeos) {
         if (current_cpu == "x64") {
           _dir = "x86_64-unknown-linux-gnu"
+          _suffix = "-x86_64"
         } else if (current_cpu == "x86") {
           _dir = "i386-unknown-linux-gnu"
+          _suffix = "-i386"
         } else if (current_cpu == "arm") {
           _dir = "armv7-unknown-linux-gnueabihf"
+          _suffix = "-armhf"
         } else if (current_cpu == "arm64") {
           _dir = "aarch64-unknown-linux-gnu"
+          _suffix = "-aarch64"
         } else if (current_cpu == "loong64") {
           _dir = "loongarch64-unknown-linux-gnu"
+          _suffix = "-loongarch64"
         } else {
           assert(false)  # Unhandled cpu type
         }
@@ -248,6 +253,11 @@
         assert(false)  # Unhandled target platform
       }
 
+      # Bit of a hack to make this find builtins from compiler-rt >= 16
+      if (is_linux || is_chromeos) {
+        _dir = "linux"
+      }
+
       _lib_file = "${_prefix}clang_rt.${_libname}${_suffix}.${_ext}"
       libs = [ "$_clang_lib_dir/$_dir/$_lib_file" ]
 
